#![no_std]

mod crc_32;
pub use crc_32::*;

// for testing purposes
mod crc_dev;
pub use crc_dev::*;

pub trait Crc {
    type Input: ?Sized;
    type Checksum: Eq;
    const CHECKSUM_LEN: usize;

    fn process(data: &Self::Input) -> Self::Checksum;
}
